package com.ho.business.mapper;

import com.ho.business.entity.VirtualDeviceCol;
import com.ho.business.vo.resp.VirtualDeviceColResp;
import com.ho.business.vo.resp.point.Point;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author xwz
* @description 针对表【virtual_device_col】的数据库操作Mapper
* @createDate 2023-05-05
* @Entity com.ho.business.entity.VirtualDeviceColMapper
*/
@Mapper
public interface VirtualDeviceColMapper {


    /**
     * 根据条件查询
     * @param record
     * @return
     */
    List<VirtualDeviceColResp> selectVirtualDeviceCol(VirtualDeviceCol record);

    /**
     * 新增单条记录
     * @param virtualDeviceCol
     * @return
     */
    int insertVirtualDeviceCol(VirtualDeviceCol virtualDeviceCol);

    /**
     * 批量插入
     * @param virtualDeviceColList
     * @return
     */
    int insertList(@Param("virtualDeviceColList")List<VirtualDeviceCol> virtualDeviceColList);

    /**
     * 修改单条记录
     * @param virtualDeviceCol
     * @return
     */
    int updateVirtualDeviceCol(VirtualDeviceCol virtualDeviceCol);

    /**
     * 批量更新
     * @param virtualDeviceColList
     * @return
     */
    int updateList(@Param("virtualDeviceColList")List<VirtualDeviceCol> virtualDeviceColList);

    /**
     * 删除单条记录
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByList(@Param("ids") List<Integer> ids);

    VirtualDeviceCol selectByColId(Point point);

    List<VirtualDeviceCol> selectBySrcId(Integer stationId, List<Integer> collect,String type);
}
